<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg"
        src=" ../../assets/images/recurring-earnings_black.png">Recurring Earnings</h2>
<div class="formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="recurringForm">
            <mat-card class="row" *ngFor="let recurring of recurringsArr.controls; let i = index"
                [formGroup]="recurring">
                <span class="s-no">{{i+1}}</span>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Earning Type</mat-label>
                        <mat-select formControlName="deductionType">
                            <mat-option *ngFor="let type of recurringTypeList;let i=index;" [value]="type.code">
                                {{type.code}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="recurring.controls['deductionType'].errors?.required &&
                        recurring.controls['deductionType'].touched">
                            Please Select Earning Type.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Amount</mat-label>
                        <input matInput type="number" formControlName="amount" required autocomplete="off" />
                        <mat-error *ngIf="recurring.controls['amount'].errors?.required &&
                        recurring.controls['amount'].touched">
                            Please Enter Amount.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Earning Start Date</mat-label>
                        <input matInput (click)="picker2.open()" [matDatepicker]="picker2"
                            formControlName="earningStartDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                        <mat-error *ngIf="recurring.controls['earningStartDate'].errors?.required &&
                        recurring.controls['earningStartDate'].touched">
                            Please Select Earning Start Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Earning End Date</mat-label>
                        <input matInput (click)="picker3.open()" [matDatepicker]="picker3"
                            formControlName="earningEndDate">
                        <mat-datepicker-toggle matSuffix [for]="picker3"></mat-datepicker-toggle>
                        <mat-datepicker #picker3></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Reason</mat-label>
                        <textarea matInput maxlength="150" formControlName="reason" required></textarea>
                        <mat-error *ngIf="recurring.controls['reason'].errors?.required &&
                        recurring.controls['reason'].touched">
                            Please Enter Reason.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="remove-action" *ngIf="!pkNumber">
                    <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeItem(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action" *ngIf="!pkNumber">
                <span><button mat-mini-fab (click)="addItem()">+</button></span> <span class="text-btn">Add</span>
            </div>

            <br>
            <div class="btn-grp">
                <button mat-raised-button *ngIf="pkNumber" class="submit-btn save-btn" [disabled]="!pkNumber" (click)="onCancel()">Reset</button>
                <button [disabled]="!recurringForm.valid" mat-raised-button class="submit-btn" (click)="onSubmit('save')">Save</button>
                <button mat-raised-button [disabled]="!recurringForm.valid" class="submit-btn" (click)="onSubmit('submit')"> Submit</button>
            </div>

        </form>
    </div>
</div>